
#include <SPI.h> 
#include "RF24.h"

int led=4;
int button=2;
boolean currentButton=LOW;
boolean lastButton=LOW;
boolean ledOn = LOW;

RF24 myRadio (7, 8);
byte addresses[][6] = {"0"};
struct package
{
  int X=1;
  int Y=1;
  boolean Z=LOW;
  };

typedef struct package Package;
Package data;

void setup(){

  pinMode(led, OUTPUT);
  pinMode(button, INPUT);  
Serial.begin(115200);
delay(100);
myRadio.begin();  
myRadio.setChannel(115); 
myRadio.setPALevel(RF24_PA_MIN);
myRadio.setDataRate( RF24_250KBPS ) ;  
myRadio.openWritingPipe( addresses[0]); 
delay(100);
}
  boolean debounce(boolean last)      //Debouncing function for the Select button
{
  boolean current = digitalRead(button);
  if(last !=current)
  {
    delay(5);
    current = digitalRead(button);
  }
  return current;
}



void loop(){
 
myRadio.write(&data, sizeof(data));
Serial.print("X:");
Serial.print(data.X); 
Serial.print("    Y");
Serial.println(data.Y); 
data.X = analogRead(A2); 
data.Y = analogRead(A3); 

currentButton = debounce(lastButton);             //   When Select button is pressed select one of the menu options Encoder or Decoder     
if (lastButton==LOW && currentButton==HIGH){
ledOn=!ledOn;
digitalWrite(led,ledOn);
}
lastButton=currentButton;

data.Z = ledOn;
delay(100);
Serial.print ("LED=");
Serial.println(data.Z);
  delay(50);

}
